import { Command } from 'ckeditor5/src/core';

export default class InsertDrupalLayoutCommand extends Command {

  execute(layoutTemplate) {
    const { model } = this.editor;

    const viewFragment = this.editor.data.processor.toView(layoutTemplate);
    const modelFragment = this.editor.data.toModel(viewFragment);
    model.insertContent(modelFragment)
  }

}
